HEX: Shards of Fate

Informations

Creator Message
muk04

Warning

This installer is a beta script. It means that it might not work as expected

Informations

Platforms:
Downloads: 2839
Wine: 2.0-rc3

Feedbacks

Description

HEX: Shards of Fate (Hex or Hex TCG) is a massively multiplayer online trading card game (MMOTCG) by Cryptozoic Entertainment. It is the first game in the MMOTCG genre.

This script installs HEX: Shards of Fate. It let you choose between loca/download source.

Known issue: After click 'Play now' if the screen is black, press Enter many time to go to the login screen.

WikipediaAppDB.winehq.org

Screenshots

MiniatureMiniature

Source code

#!/bin/bash
# Date : 2017/01/14 14:30
# Last revision : see changelog
# Wine version used : system
# Distribution used to test : Xubuntu 18.04 x64
# Author : muk04
# Licence : GPLv3
# WineHQ: https://appdb.winehq.org/objectManager.php?sClass=application&iId=15675
#
# CHANGELOG:
# [muk04] (2017-01-14)
#     First version.
# [Dadu042] (2019-08-02)
#   Disable Wine-2.0-rc3, use OS's Wine version.
#   Disable checksum checking.

 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="HEX: Shards of Fate"
PREFIX="HexShardsOfFate"
 
#POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
  
POL_SetupWindow_Init
 
POL_Debug_Init
  
POL_SetupWindow_presentation "$TITLE" "Cryptozoic Entertainment" "http://en.hex.gameforge.com/" "muk04" "$PREFIX"
  
POL_System_TmpCreate "$PREFIX"
  
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
  
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    cd "$HOME" || exit
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run.')" "$TITLE" "Windows Executables (*.exe)|*.exe;*.EXE"
    INSTALLER="$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    DOWNLOAD_URL="http://dl.hextcg.com/HexInstaller.exe"
    DOWNLOAD_FILE="$POL_System_TmpDir/$(basename "$DOWNLOAD_URL")"
#    DOWNLOAD_MD5="2625969b2446de0886209a8157e4362c"
 
#    POL_Call POL_Download_retry "$DOWNLOAD_URL" "$DOWNLOAD_FILE" "$DOWNLOAD_MD5" "$TITLE"
    POL_Call POL_Download_retry "$DOWNLOAD_URL" "$DOWNLOAD_FILE" "" "$TITLE"
 
    INSTALLER="$DOWNLOAD_FILE"
fi
  
POL_Wine_SelectPrefix "$PREFIX"

# POL_Wine_PrefixCreate "2.0-rc3"
POL_Wine_PrefixCreate
 
POL_Wine_SetVideoDriver
  
POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
 
POL_Wine "$INSTALLER"
  
POL_System_TmpDelete
 
POL_Shortcut "HexPatch.exe" "$TITLE" "" "" "Game;CardGame;"
  
POL_SetupWindow_Close

exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Monday 14 October 2019 at 16:11
Dadu042

Message

Other test, on Ubuntu 18.04, Wine 4.0 system.

The auto update window appear and work (however it crashed once the firt time launched). After clicking 'Play Now' I get a error window ('gc init', and the 2nd time 'HexPatch.exe' crashed), a black window stays open, after pressing Enter several time, the login screen does appear.

Replies

Monday 27 January 2020 at 20:49
Same thing with Wine 4.21 (and 4.17) This seems related to a issue with Quicktime videos (not played).
Monday 27 January 2020 at 21:22
I installed QuickTime v7 32 bits inside, same issue.

Edited by Dadu042

Dadu042 Friday 2 August 2019 at 17:29
Dadu042

Information

This update has been approved by the team.

Message

With Wine 4.0.1 : does launch to the login window.  Must press Enter before, because some Quicktime videos seems to can not be played (according POL's log).

Differences

@@ -1,30 +1,38 @@
 #!/bin/bash
 # Date : 2017/01/14 14:30
-# Last revision : 2017/01/14 14:30
-# Wine version used : wine-2.0-rc3
-# Distribution used to test : Ubuntu 16.04.1 LTS (Xenial Xerus)
+# Last revision : see changelog
+# Wine version used : system
+# Distribution used to test : Xubuntu 18.04 x64
 # Author : muk04
 # Licence : GPLv3
 # WineHQ: https://appdb.winehq.org/objectManager.php?sClass=application&iId=15675
+#
+# CHANGELOG:
+# [muk04] (2017-01-14)
+#     First version.
+# [Dadu042] (2019-08-02)
+#   Disable Wine-2.0-rc3, use OS's Wine version.
+#   Disable checksum checking.
 
+ 
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-
+ 
 TITLE="HEX: Shards of Fate"
 PREFIX="HexShardsOfFate"
-
-#POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
  
+#POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
+  
 POL_SetupWindow_Init
-
-POL_Debug_Init
  
+POL_Debug_Init
+  
 POL_SetupWindow_presentation "$TITLE" "Cryptozoic Entertainment" "http://en.hex.gameforge.com/" "muk04" "$PREFIX"
- 
+  
 POL_System_TmpCreate "$PREFIX"
- 
+  
 POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
- 
+  
 if [ "$INSTALL_METHOD" = "LOCAL" ]
 then
     cd "$HOME" || exit
@@ -32,27 +40,31 @@
     INSTALLER="$APP_ANSWER"
 elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
 then
-    DOWNLOAD_URL="http://dl.hex.gameforge.com/setups/HEXSetup.exe"
+    DOWNLOAD_URL="http://dl.hextcg.com/HexInstaller.exe"
     DOWNLOAD_FILE="$POL_System_TmpDir/$(basename "$DOWNLOAD_URL")"
-    DOWNLOAD_MD5="2625969b2446de0886209a8157e4362c"
-
-    POL_Call POL_Download_retry "$DOWNLOAD_URL" "$DOWNLOAD_FILE" "$DOWNLOAD_MD5" "$TITLE"
-
+#    DOWNLOAD_MD5="2625969b2446de0886209a8157e4362c"
+ 
+#    POL_Call POL_Download_retry "$DOWNLOAD_URL" "$DOWNLOAD_FILE" "$DOWNLOAD_MD5" "$TITLE"
+    POL_Call POL_Download_retry "$DOWNLOAD_URL" "$DOWNLOAD_FILE" "" "$TITLE"
+ 
     INSTALLER="$DOWNLOAD_FILE"
 fi
- 
+  
 POL_Wine_SelectPrefix "$PREFIX"
-POL_Wine_PrefixCreate "2.0-rc3"
 
-POL_Wine_SetVideoDriver
+# POL_Wine_PrefixCreate "2.0-rc3"
+POL_Wine_PrefixCreate
  
+POL_Wine_SetVideoDriver
+  
 POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
-
-POL_Wine "$INSTALLER"
  
+POL_Wine "$INSTALLER"
+  
 POL_System_TmpDelete
-
-POL_Shortcut "HexPatch.exe" "$TITLE" "" "" "Game;CardGame;"
  
+POL_Shortcut "HexPatch.exe" "$TITLE" "" "" "Game;CardGame;"
+  
 POL_SetupWindow_Close
-exit
\ No newline at end of file
+
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : 2017/01/14 14:30
# Last revision : see changelog
# Wine version used : system
# Distribution used to test : Xubuntu 18.04 x64
# Author : muk04
# Licence : GPLv3
# WineHQ: https://appdb.winehq.org/objectManager.php?sClass=application&iId=15675
#
# CHANGELOG:
# [muk04] (2017-01-14)
#     First version.
# [Dadu042] (2019-08-02)
#   Disable Wine-2.0-rc3, use OS's Wine version.
#   Disable checksum checking.

 
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
 
TITLE="HEX: Shards of Fate"
PREFIX="HexShardsOfFate"
 
#POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
  
POL_SetupWindow_Init
 
POL_Debug_Init
  
POL_SetupWindow_presentation "$TITLE" "Cryptozoic Entertainment" "http://en.hex.gameforge.com/" "muk04" "$PREFIX"
  
POL_System_TmpCreate "$PREFIX"
  
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
  
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    cd "$HOME" || exit
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run.')" "$TITLE" "Windows Executables (*.exe)|*.exe;*.EXE"
    INSTALLER="$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    DOWNLOAD_URL="http://dl.hextcg.com/HexInstaller.exe"
    DOWNLOAD_FILE="$POL_System_TmpDir/$(basename "$DOWNLOAD_URL")"
#    DOWNLOAD_MD5="2625969b2446de0886209a8157e4362c"
 
#    POL_Call POL_Download_retry "$DOWNLOAD_URL" "$DOWNLOAD_FILE" "$DOWNLOAD_MD5" "$TITLE"
    POL_Call POL_Download_retry "$DOWNLOAD_URL" "$DOWNLOAD_FILE" "" "$TITLE"
 
    INSTALLER="$DOWNLOAD_FILE"
fi
  
POL_Wine_SelectPrefix "$PREFIX"

# POL_Wine_PrefixCreate "2.0-rc3"
POL_Wine_PrefixCreate
 
POL_Wine_SetVideoDriver
  
POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
 
POL_Wine "$INSTALLER"
  
POL_System_TmpDelete
 
POL_Shortcut "HexPatch.exe" "$TITLE" "" "" "Game;CardGame;"
  
POL_SetupWindow_Close

exit 0

Replies

Edited by Dadu042

muk04 Thursday 19 January 2017 at 15:22
muk04

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -0,0 +1,58 @@
+#!/bin/bash
+# Date : 2017/01/14 14:30
+# Last revision : 2017/01/14 14:30
+# Wine version used : wine-2.0-rc3
+# Distribution used to test : Ubuntu 16.04.1 LTS (Xenial Xerus)
+# Author : muk04
+# Licence : GPLv3
+# WineHQ: https://appdb.winehq.org/objectManager.php?sClass=application&iId=15675
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+TITLE="HEX: Shards of Fate"
+PREFIX="HexShardsOfFate"
+
+#POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
+ 
+POL_SetupWindow_Init
+
+POL_Debug_Init
+ 
+POL_SetupWindow_presentation "$TITLE" "Cryptozoic Entertainment" "http://en.hex.gameforge.com/" "muk04" "$PREFIX"
+ 
+POL_System_TmpCreate "$PREFIX"
+ 
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+ 
+if [ "$INSTALL_METHOD" = "LOCAL" ]
+then
+    cd "$HOME" || exit
+    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run.')" "$TITLE" "Windows Executables (*.exe)|*.exe;*.EXE"
+    INSTALLER="$APP_ANSWER"
+elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
+then
+    DOWNLOAD_URL="http://dl.hex.gameforge.com/setups/HEXSetup.exe"
+    DOWNLOAD_FILE="$POL_System_TmpDir/$(basename "$DOWNLOAD_URL")"
+    DOWNLOAD_MD5="2625969b2446de0886209a8157e4362c"
+
+    POL_Call POL_Download_retry "$DOWNLOAD_URL" "$DOWNLOAD_FILE" "$DOWNLOAD_MD5" "$TITLE"
+
+    INSTALLER="$DOWNLOAD_FILE"
+fi
+ 
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "2.0-rc3"
+
+POL_Wine_SetVideoDriver
+ 
+POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"
+
+POL_Wine "$INSTALLER"
+ 
+POL_System_TmpDelete
+
+POL_Shortcut "HexPatch.exe" "$TITLE" "" "" "Game;CardGame;"
+ 
+POL_SetupWindow_Close
+exit
\ No newline at end of file

New source code

#!/bin/bash
# Date : 2017/01/14 14:30
# Last revision : 2017/01/14 14:30
# Wine version used : wine-2.0-rc3
# Distribution used to test : Ubuntu 16.04.1 LTS (Xenial Xerus)
# Author : muk04
# Licence : GPLv3
# WineHQ: https://appdb.winehq.org/objectManager.php?sClass=application&iId=15675

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="HEX: Shards of Fate"
PREFIX="HexShardsOfFate"

#POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
 
POL_SetupWindow_Init

POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "Cryptozoic Entertainment" "http://en.hex.gameforge.com/" "muk04" "$PREFIX"
 
POL_System_TmpCreate "$PREFIX"
 
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
 
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    cd "$HOME" || exit
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run.')" "$TITLE" "Windows Executables (*.exe)|*.exe;*.EXE"
    INSTALLER="$APP_ANSWER"
elif [ "$INSTALL_METHOD" = "DOWNLOAD" ]
then
    DOWNLOAD_URL="http://dl.hex.gameforge.com/setups/HEXSetup.exe"
    DOWNLOAD_FILE="$POL_System_TmpDir/$(basename "$DOWNLOAD_URL")"
    DOWNLOAD_MD5="2625969b2446de0886209a8157e4362c"

    POL_Call POL_Download_retry "$DOWNLOAD_URL" "$DOWNLOAD_FILE" "$DOWNLOAD_MD5" "$TITLE"

    INSTALLER="$DOWNLOAD_FILE"
fi
 
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "2.0-rc3"

POL_Wine_SetVideoDriver
 
POL_SetupWindow_wait "$(eval_gettext 'Please wait while $TITLE is installed.')" "$TITLE"

POL_Wine "$INSTALLER"
 
POL_System_TmpDelete

POL_Shortcut "HexPatch.exe" "$TITLE" "" "" "Game;CardGame;"
 
POL_SetupWindow_Close
exit

Replies

Thursday 19 January 2017 at 15:27
My apologies. I thought there was an extra step to upload the code and instead I created the post without code. I can not find any way to edit the original. This code has been tested several times and it works.
Friday 2 August 2019 at 17:17
Script approved.